### Function

# GimpUi get_progress_window

#### Declaration [src]

    GdkWindow*
    gimp_ui_get_progress_window (
      void
    )

#### Description [src]

Returns the `GdkWindow` of the window this plug-in’s progress bar is shown in. Use it to make plug-in dialogs transient to this window as explained with gdk_window_set_transient_for().

You shouldn’t have to call this function directly. Use `gimp_window_set_transient()` instead.

Available since: | 2.4

#### Return value

Returns: | `GdkWindow`
| A reference to a `GdkWindow` or `NULL`. You should unref the window using `g_object_unref()` as soon as you don’t need it any longer.
| The caller of the function takes ownership of the data, and is responsible for freeing it.